Bug 1830007 (CVE-2020-12137) - CVE-2020-12137 mailman: XSS via file attachments in list archives
Summary: CVE-2020-12137 mailman: XSS via file attachments in list archives
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-12137
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1830008 1831147 1831148
Blocks: 1830009
TreeView+ depends on / blocked
 
Reported: 2020-04-30 17:26 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-11-04 02:48 UTC (History)
3 users (show)

Fixed In Version: mailman 2.1.30rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:25:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4667 None None None 2020-11-04 02:48:15 UTC

Description Guilherme de Almeida Suckevicz 2020-04-30 17:26:16 UTC
GNU Mailman 2.x before 2.1.30 uses the .obj extension for scrubbed application/octet-stream MIME parts. This behavior may contribute to XSS attacks against list-archive visitors, because an HTTP reply from an archive web server may lack a MIME type, and a web browser may perform MIME sniffing, conclude that the MIME type should have been text/html, and execute JavaScript code.

References:
https://www.openwall.com/lists/oss-security/2020/02/24/2
https://www.openwall.com/lists/oss-security/2020/02/24/3
https://www.openwall.com/lists/oss-security/2020/04/24/3
http://bazaar.launchpad.net/~mailman-coders/mailman/2.1/view/head:/NEWS

Comment 1 Guilherme de Almeida Suckevicz 2020-04-30 17:26:32 UTC
Created mailman tracking bugs for this issue:

Affects: fedora-all [bug 1830008]

Comment 4 Product Security DevOps Team 2020-11-04 02:25:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-12137

Comment 5 errata-xmlrpc 2020-11-04 02:48:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4667 https://access.redhat.com/errata/RHSA-2020:4667


Note You need to log in before you can comment on or make changes to this bug.